Package com.io7m.idstore.server.api

# Record Class IdServerMailConfiguration

java.lang.Object
java.lang.Record
com.io7m.idstore.server.api.IdServerMailConfiguration

Record Components:
  `transportConfiguration` - The transport configuration
  `authenticationConfiguration` - The authentication configuration
  `senderAddress` - The sender address
  `verificationExpiration` - The maximum age of email verifications

All Implemented Interfaces:
  `IdServerJSONConfigurationElementType`

public record IdServerMailConfiguration(IdServerMailTransportConfigurationType transportConfiguration, Optional<IdServerMailAuthenticationConfiguration> authenticationConfiguration, String senderAddress, Duration verificationExpiration) extends Record implements IdServerJSONConfigurationElementType
Configuration for the part of the server that sends mail.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerMailConfiguration(IdServerMailTransportConfigurationType transportConfiguration, Optional<IdServerMailAuthenticationConfiguration> authenticationConfiguration, String senderAddress, Duration verificationExpiration)`
  Configuration for the part of the server that sends mail.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<IdServerMailAuthenticationConfiguration>`
  `authenticationConfiguration()`
  Returns the value of the `authenticationConfiguration` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `senderAddress()`
  Returns the value of the `senderAddress` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `IdServerMailTransportConfigurationType`
  `transportConfiguration()`
  Returns the value of the `transportConfiguration` record component.
  `Duration`
  `verificationExpiration()`
  Returns the value of the `verificationExpiration` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.idstore.server.api.IdServerJSONConfigurationElementType

  `schemaId`

- ## Constructor Details

  - ### IdServerMailConfiguration

    public IdServerMailConfiguration(IdServerMailTransportConfigurationType transportConfiguration, Optional<IdServerMailAuthenticationConfiguration> authenticationConfiguration, String senderAddress, Duration verificationExpiration)
    Configuration for the part of the server that sends mail.
    Parameters:
      `transportConfiguration` - The transport configuration
      `authenticationConfiguration` - The authentication configuration
      `senderAddress` - The sender address
      `verificationExpiration` - The maximum age of email verifications

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### transportConfiguration

    public IdServerMailTransportConfigurationType transportConfiguration()
    Returns the value of the `transportConfiguration` record component.
    Returns:
      the value of the `transportConfiguration` record component

  - ### authenticationConfiguration

    public Optional<IdServerMailAuthenticationConfiguration> authenticationConfiguration()
    Returns the value of the `authenticationConfiguration` record component.
    Returns:
      the value of the `authenticationConfiguration` record component

  - ### senderAddress

    public String senderAddress()
    Returns the value of the `senderAddress` record component.
    Returns:
      the value of the `senderAddress` record component

  - ### verificationExpiration

    public Duration verificationExpiration()
    Returns the value of the `verificationExpiration` record component.
    Returns:
      the value of the `verificationExpiration` record component